Package org.opencv.objdetect

## Class QRCodeEncoder

- java.lang.Object
- - org.opencv.objdetect.QRCodeEncoder

-     public class QRCodeEncoder
      extends java.lang.Object

  QR code encoder.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `CORRECT_LEVEL_H` |
    `static int` | `CORRECT_LEVEL_L` |
    `static int` | `CORRECT_LEVEL_M` |
    `static int` | `CORRECT_LEVEL_Q` |
    `static int` | `ECI_UTF8` |
    `static int` | `MODE_ALPHANUMERIC` |
    `static int` | `MODE_AUTO` |
    `static int` | `MODE_BYTE` |
    `static int` | `MODE_ECI` |
    `static int` | `MODE_KANJI` |
    `static int` | `MODE_NUMERIC` |
    `static int` | `MODE_STRUCTURED_APPEND` |
    `protected long` | `nativeObj` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `QRCodeEncoder​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static QRCodeEncoder` | `__fromPtr__​(long addr)` |
    `static QRCodeEncoder` | `create()` | Constructor
    `static QRCodeEncoder` | `create​(QRCodeEncoder_Params parameters)` | Constructor
    `void` | `encode​(java.lang.String encoded_info, Mat qrcode)` | Generates QR code from input string.
    `void` | `encodeStructuredAppend​(java.lang.String encoded_info, java.util.List<Mat> qrcodes)` | Generates QR code from input string in Structured Append mode.
    `protected void` | `finalize()` |
    `long` | `getNativeObjAddr()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeObj

          protected final long nativeObj

    - #### CORRECT_LEVEL_L

          public static final int CORRECT_LEVEL_L

      See Also:
        Constant Field Values

    - #### CORRECT_LEVEL_M

          public static final int CORRECT_LEVEL_M

      See Also:
        Constant Field Values

    - #### CORRECT_LEVEL_Q

          public static final int CORRECT_LEVEL_Q

      See Also:
        Constant Field Values

    - #### CORRECT_LEVEL_H

          public static final int CORRECT_LEVEL_H

      See Also:
        Constant Field Values

    - #### ECI_UTF8

          public static final int ECI_UTF8

      See Also:
        Constant Field Values

    - #### MODE_AUTO

          public static final int MODE_AUTO

      See Also:
        Constant Field Values

    - #### MODE_NUMERIC

          public static final int MODE_NUMERIC

      See Also:
        Constant Field Values

    - #### MODE_ALPHANUMERIC

          public static final int MODE_ALPHANUMERIC

      See Also:
        Constant Field Values

    - #### MODE_BYTE

          public static final int MODE_BYTE

      See Also:
        Constant Field Values

    - #### MODE_ECI

          public static final int MODE_ECI

      See Also:
        Constant Field Values

    - #### MODE_KANJI

          public static final int MODE_KANJI

      See Also:
        Constant Field Values

    - #### MODE_STRUCTURED_APPEND

          public static final int MODE_STRUCTURED_APPEND

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### QRCodeEncoder

          protected QRCodeEncoder​(long addr)

  - ### Method Detail

    - #### getNativeObjAddr

          public long getNativeObjAddr()

    - #### __fromPtr__

          public static QRCodeEncoder __fromPtr__​(long addr)

    - #### create

          public static QRCodeEncoder create​(QRCodeEncoder_Params parameters)

      Constructor
      Parameters:
        `parameters` - QR code encoder parameters QRCodeEncoder::Params
      Returns:
        automatically generated

    - #### create

          public static QRCodeEncoder create()

      Constructor
      Returns:
        automatically generated

    - #### encode

          public void encode​(java.lang.String encoded_info,
                             Mat qrcode)

      Generates QR code from input string.
      Parameters:
        `encoded_info` - Input string to encode.
        `qrcode` - Generated QR code.

    - #### encodeStructuredAppend

          public void encodeStructuredAppend​(java.lang.String encoded_info,
                                             java.util.List<Mat> qrcodes)

      Generates QR code from input string in Structured Append mode. The encoded message is splitting over a number of QR codes.
      Parameters:
        `encoded_info` - Input string to encode.
        `qrcodes` - Vector of generated QR codes.

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`